#include <stdio.h>
#include <FL/Fl_Window.H>
#include <FL/Fl_Group.H>
#include <FL/Fl.H>

class MyWindow : public Fl_Window {
public:
    MyWindow(int W,int H,const char *L=0) : Fl_Window(W,H,L) { }
    MyWindow(int X,int Y,int W,int H,const char *L=0) : Fl_Window(X,Y,W,H,L) { }
    void resize(int X,int Y,int W,int H) {
        printf("MyWindow::resize(%d,%d,%d,%d), old: %d,%d,%d,%d\n",
            X,Y,W,H, x(),y(),w(),h());
        Fl_Window::resize(X,Y,W,H);
    }
};

class MyGroup : public Fl_Group {
public:
    MyGroup(int X,int Y,int W,int H,const char *L=0) : Fl_Group(X,Y,W,H,L) { }
    void resize(int X,int Y,int W,int H) {
        printf("MyGroup::resize(%d,%d,%d,%d), old: %d,%d,%d,%d\n",
            X,Y,W,H, x(),y(),w(),h());
        Fl_Group::resize(X,Y,W,H);
    }
};

int main()
{
        MyWindow *win = new MyWindow(100, 100);
        MyGroup *group = new MyGroup(0, 0, 350, 350);
        win->resizable(group);
        win->end();
        win->show();
        return Fl::run();
}
